/* =============================================== */
/* CSS for control sap.ui.commons/Carousel.control */
/* =============================================== */

.sapUiCrslVertical .sapUiCrslNextBtn {
  height: 22px;
  line-height: 22px;
  text-align: center;
  position: absolute;
  bottom: 0;
}

.sapUiCrslVertical .sapUiCrslPrevBtn {
  height: 22px;
  line-height: 22px;
  text-align: center;
  position: absolute;
  top: 0;
}

.sapUiCrslHorizontal .sapUiCrslPrevBtn {
	width: 22px;
	position: absolute;
	left: 0;
	text-align: center;
}

.sapUiCrslHorizontal .sapUiCrslNextBtn {
	width: 22px;
	position: absolute;
	right: 0;
	text-align: center;
}


.sapUiCrslNextBtn:hover {
  text-align: center;
}

.sapUiCrslPrevBtn:hover {
  text-align: center;
}

.sapUiCrslPrevBtn, .sapUiCrslNextBtn {
  cursor: pointer;
}

.sapUiCrsl {
	position: relative;
}

.sapUiCrslItm {
	box-sizing: border-box;
	position: relative;
}

.sapUiCrslHorizontal .sapUiCrslScl {
	display:inline-block;
	width: 250%;
}

.sapUiCrslHorizontal .sapUiCrslItm {
	display: inline-block;
	list-style: none;
	padding: 0 5px;
	vertical-align: bottom;
}

.sapUiCrslVertical .sapUiCrslItm {
	display:block;
	list-style: none;
	padding: 5px 0;
}

.sapUiCrslScl {
	list-style:none;
	white-space:normal;
	padding:0;
	margin:0;
}

.sapUiCrslCnt {
	position: absolute;
	clip: rect(auto auto auto auto);
	overflow: hidden;
}
